import 'package:anagog_flutter_platform_interface/anagog_flutter_platform_interface.dart';

///Anagog Flutter plugin Location object. Use this inside [Micromoment] object
///[longitude] location latitude
///[longitude] location longitude
class Location {
  final double latitude;
  final double longitude;

  Location({required this.latitude, required this.longitude});
  Map<String, dynamic> toJson() =>
      {'latitude': latitude, 'longitude': longitude};

  factory Location.fromJson(Map<String, dynamic> json) =>
      Location(latitude: json['latitude'], longitude: json['longitude']);
}
